local M = {}

local ignition = 0
local turnsignal = 0
local hazard = 0

local function onInit()
  electrics.values['engineonswitch'] = 0
  electrics.values['leftsignalswitch'] = 0
  electrics.values['rightsignalswitch'] = 0
  electrics.values['hazardsignalswitch'] = 0
end

local function reset()
  onInit()
end

local function updateGFX(dt)
  ignition = electrics.values.ignition or 0
  turnsignal = electrics.turnsignal or 0
  hazard = electrics.hazard or 0
  
  if ignition == 0 then
    electrics.values['engineonswitch'] = 0
  else
    electrics.values['engineonswitch'] = 1
  end

end

-- public interface
M.onInit    = onInit
M.reset   = reset
M.updateGFX = updateGFX

return M