singleton Material(realblack)
{
    mapTo = "realblack";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(turbogauge)
{
    mapTo = "turbogauge";
    diffuseMap[0] = "vehicles/super/bolide roll/gauge_turbo.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};
singleton Material(handbrake)
{
    mapTo = "handbrake";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/super/bolide roll/handbrake.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(supercharger_blower)
{
    mapTo = "supercharger_blower";
    diffuseMap[1] = "vehicles/common/supercharger_blower_d.dds";
    specularMap[1] = "vehicles/common/supercharger_blower_s.dds";
    normalMap[1] = "vehicles/common/supercharger_blower_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/supercharger_blower_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(bigwing_02a)
{
    mapTo = "bigwing_02a";
    normalMap[0] = "bigwing_02a_n.dds";
    diffuseMap[0] = "bigwing_02a_d.dds";
    specularMap[0] = "bigwing_02a_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(shine)
{
    mapTo = "shine";     
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
	    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    //dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(n2o_2)
{
    mapTo = "n2o_2";
    diffuseMap[0] = "vehicles/super/bolide roll/n2o_2_d.dds";
    specularMap[0] = "vehicles/super/bolide roll/n2o_s.dds";
    normalMap[0] = "vehicles/super/bolide roll/n2o_n.dds";
    reflectivityMap[0] = "vehicles/super/bolide roll/n2o_r.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(bucket)
{
    mapTo = "bucket";
    diffuseMap[0] = "vehicles/super/bolide roll/bucket.dds";
    specularMap[0] = "vehicles/super/bolide roll/bucket.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
   //reflectivityMap[0] = "vehicles/super/bolide roll/n2o_r.dds";
    specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng";
    materialTag1 = "vehicle";
};
singleton Material(steer_02a)
{
    mapTo = "steer_02a";
    diffuseMap[0] = "vehicles/common/steer_02a_d.dds";
    specularMap[0] = "vehicles/common/steer_02a_s.dds";
    normalMap[0] = "vehicles/common/steer_02a_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sbr)
{
    mapTo = "sbr";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(Turbo)
{
    mapTo = "Turbo";
    diffuseMap[0] = "vehicles/super/bolide roll/turbotex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(belttex)
{
    mapTo = "belttex";
    diffuseMap[0] = "vehicles/super/bolide roll/belttex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(black)
{
    mapTo = "black";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(red)
{
    mapTo = "red";
	colorPaletteMap[2] = "vehicles/super/bolide roll/spring_uv1.dds";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_spring_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_spring_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
	instanceDiffuse[2] = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(turbo_black)
{
    mapTo = "turbo_black";
	colorPaletteMap[2] = "vehicles/super/bolide roll/turbo_uv1.dds";
    diffuseMap[2] = "vehicles/super/bolide roll/supertrack_spring_c.dds";
    specularMap[2] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/supertrack_spring_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supertrack_spring_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
	instanceDiffuse[2] = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(carbonfiber)
{
    mapTo = "carbonfiber";
    diffuseMap[0] = "vehicles/super/bolide roll/wheelcover_d.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "190";
    pixelSpecular[0] = "70";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.3 0.3 0.3 1";
};

singleton Material(electricmotortex)
{
    mapTo = "electricmotortex";
    diffuseMap[0] = "vehicles/super/bolide roll/electricmotortex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
	diffuseColor[0] = "1 1  1  0.05";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(batttex)
{
    mapTo = "batttex";
    diffuseMap[0] = "vehicles/super/bolide roll/batttex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pumptex)
{
    mapTo = "pumptex";
    diffuseMap[0] = "vehicles/super/bolide roll/pumptex.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
	diffuseColor[0] = "0.8 0.8  0.8  0.1";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(orangephil)
{
    mapTo = "orangephil";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "10 4.70 0 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

singleton Material(chrome_super)
{
    mapTo = "chrome_super";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "10 10 10 0.4";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(carbonfiber_wing)
{
    mapTo = "carbonfiber_wing";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    //specularMap[1] = "vehicles/pessima/pessima_s.dds";
    //normalMap[1] = "vehicles/pessima/pessima_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "vehicles/pessima/pessima_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	  detailScale[2] = 30;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(tracktoy_glass)
{
    mapTo = "tracktoy_glass";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.5 0.5 0.7 0.50";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};
singleton Material(tracktoy_glass_int)
{
    mapTo = "tracktoy_glass_int";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.5 0.5 0.7 0.50";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
   // cubemap = "global_cubemap_metalblurred";
};
















singleton Material(ske_lights)
{
    mapTo = "ske_lights";
    diffuseMap[1] = "vehicles/super/bolide roll/sek_lights_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/sek_lights_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/sek_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/sek_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(ske_lights_on)
{
    mapTo = "ske_lights_on";
    diffuseMap[2] = "vehicles/super/bolide roll/sek_lights_g.dds";
    specularMap[2] = "vehicles/super/bolide roll/sek_lights_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/sek_lights_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/sek_lights_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/sek_lights_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/sek_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/sek_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "2.5 2.5 2.5 0.14";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ske_lights_on_intense)
{
    mapTo = "ske_lights_on_intense";
    diffuseMap[2] = "vehicles/super/bolide roll/sek_lights_g.dds";
    specularMap[2] = "vehicles/super/bolide roll/sek_lights_s.dds";
    normalMap[2] = "vehicles/super/bolide roll/sek_lights_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/sek_lights_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/sek_lights_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/sek_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/sek_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "5.5 5.5 5.5 0.22";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

   singleton Material(ske_lights_brake_on_intense)
{
    mapTo = "ske_lights_brake_on_intense";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 0 0 1";
    diffuseColor[2] = "20 0 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "1";
	emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

   singleton Material(ske_lights_brake_on)
{
    mapTo = "ske_lights_brake_on";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 0 0 1";
    diffuseColor[1] = "1.5 0 0 1";
    diffuseColor[2] = "3 0 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "1";
	emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

   singleton Material(ske_lights_brake_off)
{
    mapTo = "ske_lights_brake_off";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.2 0 0 1";
    diffuseColor[1] = "0.2 0 0 1";
    diffuseColor[2] = "0.2 0 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "0";
	emissive[2] = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




//switches light
   singleton Material(ske_lights_switch_green_on)
{
    mapTo = "ske_lights_switch_green_on";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0 1.5 0 1";
    diffuseColor[2] = "0 20 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "1";
	emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

   singleton Material(ske_lights_switch_green_off)
{
    mapTo = "ske_lights_switch_green_off";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0 0.2 0 1";
    diffuseColor[1] = "0 0.2 0 1";
    diffuseColor[2] = "0 0.2 0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "0";
	emissive[2] = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};






//led headlights

singleton Material(ledbar_sek)
{
    mapTo = "ledbar_sek";     
    diffuseMap[0] = "vehicles/super/bolide roll/ledbar_d.dds";
    specularMap[0] = "vehicles/super/bolide roll/ledbar_d.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
   specularPower[0] = "15";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(glass_ledbar_sek_norm)
{
    mapTo = "glass_ledbar_sek_norm";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.7 0.7 0.7 0.50";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(Shine_ledbar_sek)
{
    mapTo = "Shine_ledbar_sek";     
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
	    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(grey_ledbar_sek)
{
    mapTo = "grey_ledbar_sek";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //cubemap = "global_cubemap_metalblurred";
};

   singleton Material(ske_ledlight_on)
{
    mapTo = "ske_ledlight_on";
	diffuseMap[2] = "vehicles/super/bolide roll/white.dds";
    specularMap[2] = "vehicles/super/bolide roll/white.dds";
    normalMap[2] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[1] = "vehicles/super/bolide roll/white.dds";
    specularMap[1] = "vehicles/super/bolide roll/white.dds";
    normalMap[1] = "vehicles/super/bolide roll/white_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 0 0 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "5 5 5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
	useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "10.5 10.5 10.5 1";
    //dynamicCubemap = true;
	glow[2] = "1";
	emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(control_text)
{
    mapTo = "control_text";
    diffuseMap[0] = "vehicles/super/bolide roll/controls_text.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
	diffuseColor[0] = "0.8 0.8 0.8 0.1";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
	//cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(sek_shine2)
{
    mapTo = "sek_shine2";     
    diffuseMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    specularMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 0.6";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sek_quebecflag)
{
    mapTo = "sek_quebecflag";
    diffuseMap[0] = "vehicles/super/bolide roll/quebec.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
	diffuseColor[0] = "1 1 1 0.1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sek_logobillet)
{
    mapTo = "sek_logobillet";
    diffuseMap[0] = "vehicles/super/bolide roll/logobillet.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
	diffuseColor[0] = "1 1 1 0.1";
    alphaTest = "0";
    alphaRef = "0";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sek_shine_black)
{
    mapTo = "sek_shine_black";
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "2 2 2 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(sek_exhaustcolor)
{
    mapTo = "sek_exhaustcolor";                    
    diffuseMap[0] = "vehicles/super/bolide roll/white.dds";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "3 3 3 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(supercharger_blower_dark)
{
    mapTo = "supercharger_blower_dark";
    diffuseMap[1] = "vehicles/super/bolide roll/supercharger_blower_d.dds";
    specularMap[1] = "vehicles/super/bolide roll/supercharger_blower_s.dds";
    normalMap[1] = "vehicles/super/bolide roll/supercharger_blower_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/bolide roll/supercharger_blower_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "0.2 0.2 0.2 0.3";
    diffuseColor[1] = "0.2 0.2 0.2 0.3";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(tracktoy_powdercoated)
{
    mapTo = "tracktoy_powdercoated";                    
    diffuseMap[0] = "vehicles/super/bolide roll/powercoated_tracktoy.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.9 0.9 0.9 0.01";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};
singleton Material(tracktoy_brake_caliper_race)
{
    mapTo = "tracktoy_brake_caliper_race";                    
    diffuseMap[0] = "vehicles/super/bolide roll/tracktoy_brake_caliper_d.png";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/tracktoy_brake_caliper_n.png";
    diffuseColor[0] = "0.9 0.9 0.9 0.05";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(tracktoy_radiator_tx)
{
    mapTo = "tracktoy_radiator_tx";                    
    diffuseMap[0] = "vehicles/super/bolide roll/radiator_texture_d.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/radiator_texture_n.jpg";
    diffuseColor[0] = "0.9 0.9 0.9 0.01";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(tracktoy_radiator_tx_iybr)
{
    mapTo = "tracktoy_radiator_tx_iybr";                    
    diffuseMap[0] = "vehicles/super/bolide roll/radiator_texture_iyb_d.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/radiator_texture_n.jpg";
    diffuseColor[0] = "0.9 0.9 0.9 0.01";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};
singleton Material(tracktoy_radiator_tx_black)
{
    mapTo = "tracktoy_radiator_tx_black";                    
    diffuseMap[0] = "vehicles/super/bolide roll/radiator_texture_d.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/radiator_texture_n.jpg";
    diffuseColor[0] = "0.1 0.1 0.1 0.01";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};


singleton Material(tracktoy_radiator_shine)
{
    mapTo = "tracktoy_radiator_shine";     
    diffuseMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    specularMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.7 0.7 0.7 0.06";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(tracktoy_radiator_shine_black)
{
    mapTo = "tracktoy_radiator_shine_black";     
    diffuseMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    specularMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.1 0.1 0.1 0.06";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tracktoy_bronze)
{
    mapTo = "tracktoy_bronze";     
    diffuseMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    specularMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.8 0.6 0.1 0.6";
    specularColor[0] = "0.8 0.6 0.1 0.6";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(tracktoy_driveshaft_silver)
{
    mapTo = "tracktoy_driveshaft_silver";     
    diffuseMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    specularMap[0] = "vehicles/super/bolide roll/shine_w.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tracktoy_carbonfiber_driveshaft)
{
    mapTo = "tracktoy_carbonfiber_driveshaft";       
    diffuseMap[0] = "vehicles/super/bolide roll/tracktoy_carbonfiber.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.9 0.9 0.9 0.1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(tracktoy_fuelcell_mat)
{
    mapTo = "tracktoy_fuelcell_mat";   
	diffuseMap[0] = "vehicles/super/bolide roll/fuel_tankDiffuseMap.png";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/fuel_tankNormalsMap.jpg";
    diffuseColor[0] = "1 1 1 0.0000001";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    //dynamicCubemap = true;
};

singleton Material(tracktoy_exhaust_tex)
{
    mapTo = "tracktoy_exhaust_tex";               
    diffuseMap[0] = "vehicles/super/bolide roll/tracktoy_exhaust.png";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/white_n.dds";
    diffuseColor[0] = "0.9 0.9 0.9 0.001";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};

singleton Material(tracktoy_thread)
{
    mapTo = "tracktoy_thread";                 
    diffuseMap[0] = "vehicles/super/bolide roll/threads.jpg";
    specularMap[0] = "vehicles/super/bolide roll/white.dds";
    normalMap[0] = "vehicles/super/bolide roll/threads_n.dds";
    diffuseColor[0] = "1 1 1 0.01";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    dynamicCubemap = true;
};